Skip to main content
POST
/
assistants
/
{assistant_id}
/
versions
List Assistant Versions
curl --request POST \
  --url https://api.example.com/assistants/{assistant_id}/versions
import requests

url = "https://api.example.com/assistants/{assistant_id}/versions"

response = requests.post(url)

print(response.text)
const options = {method: 'POST'};

fetch('https://api.example.com/assistants/{assistant_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "assistant_id": "<string>",
    "name": "<string>",
    "graph_id": "<string>",
    "user_id": "<string>",
    "version": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "config": {},
    "context": {},
    "metadata_dict": {}
  }
]
{
"error": "<string>",
"message": "<string>",
"details": {}
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Path Parameters

assistant_id
string
required

Response

Successful Response

assistant_id
string
required

Unique identifier for the assistant.

name
string
required

Human-readable name of the assistant.

graph_id
string
required

Identifier of the graph this assistant executes.

user_id
string
required

Identifier of the user who owns this assistant.

version
integer
required

The version of the assistant.

created_at
string<date-time>
required

Timestamp when the assistant was created.

updated_at
string<date-time>
required

Timestamp when the assistant was last updated.

description
string | null

Optional description of the assistant's purpose.

config
Config · object

Configuration passed to the graph at runtime.

context
Context · object

Context variables available to the graph during execution.

metadata_dict
Metadata Dict · object

Arbitrary metadata for searching and filtering.